Subject: draft-ietf-httpbis-http2-latest, "5.1 Stream States"

From: Scott Mitchell <[email-masked]>
Date: Tue, 13 Jan 2015 22:45:49 -0500

As reported in https://github.com/http2/http2-spec/issues/667:

[section 5.1](
https://tools.ietf.org/html/draft-ietf-httpbis-http2-16#section-5.1) has
the following text:
>idle:
      All streams start in the "idle" state.  In this state, no frames
      have been exchanged.

It seems like PRIORITY frames can be sent/received in the IDLE state
without causing a state transition as illustrated in [figure 2](
http://http2.github.io/http2-spec/#StreamStatesFigure).  If I am
interpreting this correctly then the `no frames have been exchanged`
statement is not necessarily correct if PRIORITY frames have been exchanged.